Annotation of embedaddon/mtr/Makefile, revision 1.1.1.2
1.1.1.2 ! misho 1: # Makefile.in generated by automake 1.15 from Makefile.am.
1.1 misho 2: # Makefile. Generated from Makefile.in by configure.
3:
1.1.1.2 ! misho 4: # Copyright (C) 1994-2014 Free Software Foundation, Inc.
! 5:
1.1 misho 6: # This Makefile.in is free software; the Free Software Foundation
7: # gives unlimited permission to copy and/or distribute it,
8: # with or without modifications, as long as this notice is preserved.
9:
10: # This program is distributed in the hope that it will be useful,
11: # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12: # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13: # PARTICULAR PURPOSE.
14:
15:
16:
17:
1.1.1.2 ! misho 18: am__is_gnu_make = { \
! 19: if test -z '$(MAKELEVEL)'; then \
! 20: false; \
! 21: elif test -n '$(MAKE_HOST)'; then \
! 22: true; \
! 23: elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
! 24: true; \
! 25: else \
! 26: false; \
! 27: fi; \
! 28: }
! 29: am__make_running_with_option = \
! 30: case $${target_option-} in \
! 31: ?) ;; \
! 32: *) echo "am__make_running_with_option: internal error: invalid" \
! 33: "target option '$${target_option-}' specified" >&2; \
! 34: exit 1;; \
! 35: esac; \
! 36: has_opt=no; \
! 37: sane_makeflags=$$MAKEFLAGS; \
! 38: if $(am__is_gnu_make); then \
! 39: sane_makeflags=$$MFLAGS; \
! 40: else \
! 41: case $$MAKEFLAGS in \
! 42: *\\[\ \ ]*) \
! 43: bs=\\; \
! 44: sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
! 45: | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
! 46: esac; \
! 47: fi; \
! 48: skip_next=no; \
! 49: strip_trailopt () \
! 50: { \
! 51: flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
! 52: }; \
! 53: for flg in $$sane_makeflags; do \
! 54: test $$skip_next = yes && { skip_next=no; continue; }; \
! 55: case $$flg in \
! 56: *=*|--*) continue;; \
! 57: -*I) strip_trailopt 'I'; skip_next=yes;; \
! 58: -*I?*) strip_trailopt 'I';; \
! 59: -*O) strip_trailopt 'O'; skip_next=yes;; \
! 60: -*O?*) strip_trailopt 'O';; \
! 61: -*l) strip_trailopt 'l'; skip_next=yes;; \
! 62: -*l?*) strip_trailopt 'l';; \
! 63: -[dEDm]) skip_next=yes;; \
! 64: -[JT]) skip_next=yes;; \
! 65: esac; \
! 66: case $$flg in \
! 67: *$$target_option*) has_opt=yes; break;; \
! 68: esac; \
! 69: done; \
! 70: test $$has_opt = yes
! 71: am__make_dryrun = (target_option=n; $(am__make_running_with_option))
! 72: am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
1.1 misho 73: pkgdatadir = $(datadir)/mtr
74: pkgincludedir = $(includedir)/mtr
75: pkglibdir = $(libdir)/mtr
76: pkglibexecdir = $(libexecdir)/mtr
77: am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78: install_sh_DATA = $(install_sh) -c -m 644
79: install_sh_PROGRAM = $(install_sh) -c
80: install_sh_SCRIPT = $(install_sh) -c
81: INSTALL_HEADER = $(INSTALL_DATA)
82: transform = $(program_transform_name)
83: NORMAL_INSTALL = :
84: PRE_INSTALL = :
85: POST_INSTALL = :
86: NORMAL_UNINSTALL = :
87: PRE_UNINSTALL = :
88: POST_UNINSTALL = :
89: sbin_PROGRAMS = mtr$(EXEEXT)
90: am__append_1 = asn.c asn.h
91: subdir = .
92: ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
93: am__aclocal_m4_deps = $(top_srcdir)/configure.ac
94: am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
95: $(ACLOCAL_M4)
1.1.1.2 ! misho 96: DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
! 97: $(am__configure_deps) $(am__DIST_COMMON)
1.1 misho 98: am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
99: configure.lineno config.status.lineno
100: mkinstalldirs = $(install_sh) -d
101: CONFIG_HEADER = config.h
102: CONFIG_CLEAN_FILES = version.h.tmp
103: CONFIG_CLEAN_VPATH_FILES =
104: am__installdirs = "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"
105: PROGRAMS = $(sbin_PROGRAMS)
106: am__mtr_SOURCES_DIST = mtr.c net.c net.h dns.c dns.h raw.c raw.h \
107: split.c split.h display.c display.h report.c report.h getopt.c \
108: getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
109: asn.c asn.h
110: am__objects_1 = asn.$(OBJEXT)
111: am_mtr_OBJECTS = mtr.$(OBJEXT) net.$(OBJEXT) dns.$(OBJEXT) \
112: raw.$(OBJEXT) split.$(OBJEXT) display.$(OBJEXT) \
113: report.$(OBJEXT) getopt.$(OBJEXT) getopt1.$(OBJEXT) \
114: select.$(OBJEXT) $(am__objects_1)
115: nodist_mtr_OBJECTS =
116: mtr_OBJECTS = $(am_mtr_OBJECTS) $(nodist_mtr_OBJECTS)
117: am__DEPENDENCIES_1 =
118: mtr_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(mtr_LDFLAGS) $(LDFLAGS) -o \
119: $@
1.1.1.2 ! misho 120: AM_V_P = $(am__v_P_$(V))
! 121: am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
! 122: am__v_P_0 = false
! 123: am__v_P_1 = :
! 124: AM_V_GEN = $(am__v_GEN_$(V))
! 125: am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
! 126: am__v_GEN_0 = @echo " GEN " $@;
! 127: am__v_GEN_1 =
! 128: AM_V_at = $(am__v_at_$(V))
! 129: am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
! 130: am__v_at_0 = @
! 131: am__v_at_1 =
1.1 misho 132: depcomp = $(SHELL) $(top_srcdir)/depcomp
133: am__depfiles_maybe = depfiles
134: am__mv = mv -f
135: COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
136: $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
1.1.1.2 ! misho 137: AM_V_CC = $(am__v_CC_$(V))
! 138: am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
! 139: am__v_CC_0 = @echo " CC " $@;
! 140: am__v_CC_1 =
1.1 misho 141: CCLD = $(CC)
142: LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
1.1.1.2 ! misho 143: AM_V_CCLD = $(am__v_CCLD_$(V))
! 144: am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
! 145: am__v_CCLD_0 = @echo " CCLD " $@;
! 146: am__v_CCLD_1 =
1.1 misho 147: SOURCES = $(mtr_SOURCES) $(EXTRA_mtr_SOURCES) $(nodist_mtr_SOURCES)
148: DIST_SOURCES = $(am__mtr_SOURCES_DIST) $(EXTRA_mtr_SOURCES)
1.1.1.2 ! misho 149: RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
! 150: ctags-recursive dvi-recursive html-recursive info-recursive \
! 151: install-data-recursive install-dvi-recursive \
! 152: install-exec-recursive install-html-recursive \
! 153: install-info-recursive install-pdf-recursive \
! 154: install-ps-recursive install-recursive installcheck-recursive \
! 155: installdirs-recursive pdf-recursive ps-recursive \
! 156: tags-recursive uninstall-recursive
! 157: am__can_run_installinfo = \
! 158: case $$AM_UPDATE_INFO_DIR in \
! 159: n|no|NO) false;; \
! 160: *) (install-info --version) >/dev/null 2>&1;; \
! 161: esac
1.1 misho 162: am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
163: am__vpath_adj = case $$p in \
164: $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
165: *) f=$$p;; \
166: esac;
167: am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
168: am__install_max = 40
169: am__nobase_strip_setup = \
170: srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
171: am__nobase_strip = \
172: for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
173: am__nobase_list = $(am__nobase_strip_setup); \
174: for p in $$list; do echo "$$p $$p"; done | \
175: sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
176: $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
177: if (++n[$$2] == $(am__install_max)) \
178: { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
179: END { for (dir in files) print dir, files[dir] }'
180: am__base_list = \
181: sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
182: sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
1.1.1.2 ! misho 183: am__uninstall_files_from_dir = { \
! 184: test -z "$$files" \
! 185: || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
! 186: || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
! 187: $(am__cd) "$$dir" && rm -f $$files; }; \
! 188: }
1.1 misho 189: man8dir = $(mandir)/man8
190: NROFF = nroff
191: MANS = $(man_MANS)
192: RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
193: distclean-recursive maintainer-clean-recursive
1.1.1.2 ! misho 194: am__recursive_targets = \
! 195: $(RECURSIVE_TARGETS) \
! 196: $(RECURSIVE_CLEAN_TARGETS) \
! 197: $(am__extra_recursive_targets)
! 198: AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
! 199: cscope distdir dist dist-all distcheck
! 200: am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
! 201: $(LISP)config.h.in
! 202: # Read a list of newline-separated strings from the standard input,
! 203: # and print each of them once, without duplicates. Input order is
! 204: # *not* preserved.
! 205: am__uniquify_input = $(AWK) '\
! 206: BEGIN { nonempty = 0; } \
! 207: { items[$$0] = 1; nonempty = 1; } \
! 208: END { if (nonempty) { for (i in items) print i; }; } \
! 209: '
! 210: # Make sure the list of sources is unique. This is necessary because,
! 211: # e.g., the same source file might be shared among _SOURCES variables
! 212: # for different programs/libraries.
! 213: am__define_uniq_tagged_files = \
! 214: list='$(am__tagged_files)'; \
! 215: unique=`for i in $$list; do \
! 216: if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
! 217: done | $(am__uniquify_input)`
1.1 misho 218: ETAGS = etags
219: CTAGS = ctags
1.1.1.2 ! misho 220: CSCOPE = cscope
1.1 misho 221: DIST_SUBDIRS = $(SUBDIRS)
1.1.1.2 ! misho 222: am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
! 223: $(srcdir)/version.h.in AUTHORS COPYING ChangeLog INSTALL NEWS \
! 224: README TODO compile depcomp install-sh missing
1.1 misho 225: DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
226: distdir = $(PACKAGE)-$(VERSION)
227: top_distdir = $(distdir)
228: am__remove_distdir = \
1.1.1.2 ! misho 229: if test -d "$(distdir)"; then \
! 230: find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
! 231: && rm -rf "$(distdir)" \
! 232: || { sleep 5 && rm -rf "$(distdir)"; }; \
! 233: else :; fi
! 234: am__post_remove_distdir = $(am__remove_distdir)
1.1 misho 235: am__relativize = \
236: dir0=`pwd`; \
237: sed_first='s,^\([^/]*\)/.*$$,\1,'; \
238: sed_rest='s,^[^/]*/*,,'; \
239: sed_last='s,^.*/\([^/]*\)$$,\1,'; \
240: sed_butlast='s,/*[^/]*$$,,'; \
241: while test -n "$$dir1"; do \
242: first=`echo "$$dir1" | sed -e "$$sed_first"`; \
243: if test "$$first" != "."; then \
244: if test "$$first" = ".."; then \
245: dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
246: dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
247: else \
248: first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
249: if test "$$first2" = "$$first"; then \
250: dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
251: else \
252: dir2="../$$dir2"; \
253: fi; \
254: dir0="$$dir0"/"$$first"; \
255: fi; \
256: fi; \
257: dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
258: done; \
259: reldir="$$dir2"
260: DIST_ARCHIVES = $(distdir).tar.gz
261: GZIP_ENV = --best
1.1.1.2 ! misho 262: DIST_TARGETS = dist-gzip
1.1 misho 263: distuninstallcheck_listfiles = find . -type f -print
1.1.1.2 ! misho 264: am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
! 265: | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
1.1 misho 266: distcleancheck_listfiles = find . -type f -print
1.1.1.2 ! misho 267: ACLOCAL = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/missing aclocal-1.15
! 268: AMTAR = $${TAR-tar}
! 269: AM_DEFAULT_VERBOSITY = 1
! 270: AUTOCONF = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/missing autoconf
! 271: AUTOHEADER = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/missing autoheader
! 272: AUTOMAKE = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/missing automake-1.15
! 273: AWK = /usr/bin/awk
! 274: CC = cc
1.1 misho 275: CCDEPMODE = depmode=gcc3
1.1.1.2 ! misho 276: CFLAGS = -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -Wno-pointer-sign
! 277: CPP = cpp
1.1 misho 278: CPPFLAGS =
279: CURSES_OBJ = curses.o
280: CYGPATH_W = echo
281: DEFS = -DHAVE_CONFIG_H
282: DEPDIR = .deps
283: ECHO_C =
284: ECHO_N = -n
285: ECHO_T =
1.1.1.2 ! misho 286: EGREP = /usr/bin/egrep
1.1 misho 287: EXEEXT =
1.1.1.2 ! misho 288: GREP = /usr/bin/grep
! 289: GTK_CFLAGS =
! 290: GTK_LIBS =
! 291: GTK_OBJ =
1.1 misho 292: INSTALL = /usr/bin/install -c
1.1.1.2 ! misho 293: INSTALL_DATA = install -m 0644
! 294: INSTALL_PROGRAM = install -s -m 555
! 295: INSTALL_SCRIPT = install -m 555
1.1 misho 296: INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
1.1.1.2 ! misho 297: LDFLAGS = -lncurses -fstack-protector
1.1 misho 298: LIBOBJS =
1.1.1.2 ! misho 299: LIBS = -lm -ltinfo -ltermcap
1.1 misho 300: LTLIBOBJS =
1.1.1.2 ! misho 301: MAKEINFO = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/missing makeinfo
1.1 misho 302: MKDIR_P = /bin/mkdir -p
303: OBJEXT = o
304: PACKAGE = mtr
305: PACKAGE_BUGREPORT =
306: PACKAGE_NAME = mtr
1.1.1.2 ! misho 307: PACKAGE_STRING = mtr 0.86
1.1 misho 308: PACKAGE_TARNAME = mtr
309: PACKAGE_URL =
1.1.1.2 ! misho 310: PACKAGE_VERSION = 0.86
1.1 misho 311: PATH_SEPARATOR = :
1.1.1.2 ! misho 312: PKG_CONFIG = pkgconf
1.1 misho 313: PKG_CONFIG_LIBDIR =
314: PKG_CONFIG_PATH =
1.1.1.2 ! misho 315: RESOLV_LIBS =
1.1 misho 316: SET_MAKE =
1.1.1.2 ! misho 317: SHELL = /bin/sh
1.1 misho 318: STRIP =
1.1.1.2 ! misho 319: VERSION = 0.86
! 320: abs_builddir = /usr/ports/net/mtr-nox11/work/mtr-0.86
! 321: abs_srcdir = /usr/ports/net/mtr-nox11/work/mtr-0.86
! 322: abs_top_builddir = /usr/ports/net/mtr-nox11/work/mtr-0.86
! 323: abs_top_srcdir = /usr/ports/net/mtr-nox11/work/mtr-0.86
! 324: ac_ct_CC = cc
1.1 misho 325: am__include = include
326: am__leading_dot = .
327: am__quote =
1.1.1.2 ! misho 328: am__tar = $${TAR-tar} chof - "$$tardir"
! 329: am__untar = $${TAR-tar} xf -
1.1 misho 330: bindir = ${exec_prefix}/bin
1.1.1.2 ! misho 331: build_alias = i386-portbld-freebsd12.0
1.1 misho 332: builddir = .
333: datadir = ${datarootdir}
334: datarootdir = ${prefix}/share
335: docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
336: dvidir = ${docdir}
337: exec_prefix = ${prefix}
338: host_alias =
339: htmldir = ${docdir}
340: includedir = ${prefix}/include
1.1.1.2 ! misho 341: infodir = /usr/local/info
! 342: install_sh = ${SHELL} /usr/ports/net/mtr-nox11/work/mtr-0.86/install-sh
1.1 misho 343: libdir = ${exec_prefix}/lib
344: libexecdir = ${exec_prefix}/libexec
345: localedir = ${datarootdir}/locale
1.1.1.2 ! misho 346: localstatedir = /var
! 347: mandir = /usr/local/man
! 348: mkdir_p = $(MKDIR_P)
1.1 misho 349: oldincludedir = /usr/include
350: pdfdir = ${docdir}
351: prefix = /usr/local
352: program_transform_name = s,x,x,
353: psdir = ${docdir}
354: sbindir = ${exec_prefix}/sbin
355: sharedstatedir = ${prefix}/com
356: srcdir = .
357: sysconfdir = ${prefix}/etc
358: target_alias =
359: top_build_prefix =
360: top_builddir = .
361: top_srcdir = .
362: SUBDIRS = img
363: man_MANS = mtr.8
364: mtr_SOURCES = mtr.c net.c net.h dns.c dns.h raw.c raw.h split.c \
365: split.h display.c display.h report.c report.h getopt.c \
366: getopt1.c getopt.h select.c select.h mtr-curses.h mtr-gtk.h \
367: $(am__append_1)
368: nodist_mtr_SOURCES = version.h
369: EXTRA_mtr_SOURCES = curses.c \
370: gtk.c
371:
372: DEFAULT_INCLUDES = $(GLIB_CFLAGS) -I.
373: mtr_DEPENDENCIES = $(GTK_OBJ) $(CURSES_OBJ)
374: mtr_LDFLAGS = $(GTK_OBJ) $(CURSES_OBJ)
375: mtr_LDADD = $(GLIB_LIBS) $(RESOLV_LIBS)
376: CLEANFILES = version.h
377: BUILT_SOURCES = version.h
378: EXTRA_DIST = SECURITY mtr.8 Makefile Makefile.dist
379: DISTCLEANFILES = *~
380: all: $(BUILT_SOURCES) config.h
381: $(MAKE) $(AM_MAKEFLAGS) all-recursive
382:
383: .SUFFIXES:
384: .SUFFIXES: .c .o .obj
1.1.1.2 ! misho 385: am--refresh: Makefile
1.1 misho 386: @:
387: $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
388: @for dep in $?; do \
389: case '$(am__configure_deps)' in \
390: *$$dep*) \
391: echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
392: $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
393: && exit 0; \
394: exit 1;; \
395: esac; \
396: done; \
397: echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
398: $(am__cd) $(top_srcdir) && \
399: $(AUTOMAKE) --foreign Makefile
400: Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
401: @case '$?' in \
402: *config.status*) \
403: echo ' $(SHELL) ./config.status'; \
404: $(SHELL) ./config.status;; \
405: *) \
406: echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
407: cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
408: esac;
409:
410: $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
411: $(SHELL) ./config.status --recheck
412:
413: $(top_srcdir)/configure: $(am__configure_deps)
414: $(am__cd) $(srcdir) && $(AUTOCONF)
415: $(ACLOCAL_M4): $(am__aclocal_m4_deps)
416: $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
417: $(am__aclocal_m4_deps):
418:
419: config.h: stamp-h1
1.1.1.2 ! misho 420: @test -f $@ || rm -f stamp-h1
! 421: @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
1.1 misho 422:
423: stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
424: @rm -f stamp-h1
425: cd $(top_builddir) && $(SHELL) ./config.status config.h
426: $(srcdir)/config.h.in: $(am__configure_deps)
427: ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
428: rm -f stamp-h1
429: touch $@
430:
431: distclean-hdr:
432: -rm -f config.h stamp-h1
433: version.h.tmp: $(top_builddir)/config.status $(srcdir)/version.h.in
434: cd $(top_builddir) && $(SHELL) ./config.status $@
435: install-sbinPROGRAMS: $(sbin_PROGRAMS)
436: @$(NORMAL_INSTALL)
437: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
1.1.1.2 ! misho 438: if test -n "$$list"; then \
! 439: echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
! 440: $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
! 441: fi; \
1.1 misho 442: for p in $$list; do echo "$$p $$p"; done | \
443: sed 's/$(EXEEXT)$$//' | \
1.1.1.2 ! misho 444: while read p p1; do if test -f $$p \
! 445: ; then echo "$$p"; echo "$$p"; else :; fi; \
1.1 misho 446: done | \
1.1.1.2 ! misho 447: sed -e 'p;s,.*/,,;n;h' \
! 448: -e 's|.*|.|' \
1.1 misho 449: -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
450: sed 'N;N;N;s,\n, ,g' | \
451: $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
452: { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
453: if ($$2 == $$4) files[d] = files[d] " " $$1; \
454: else { print "f", $$3 "/" $$4, $$1; } } \
455: END { for (d in files) print "f", d, files[d] }' | \
456: while read type dir files; do \
457: if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
458: test -z "$$files" || { \
459: echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
460: $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
461: } \
462: ; done
463:
464: uninstall-sbinPROGRAMS:
465: @$(NORMAL_UNINSTALL)
466: @list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
467: files=`for p in $$list; do echo "$$p"; done | \
468: sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
1.1.1.2 ! misho 469: -e 's/$$/$(EXEEXT)/' \
! 470: `; \
1.1 misho 471: test -n "$$list" || exit 0; \
472: echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
473: cd "$(DESTDIR)$(sbindir)" && rm -f $$files
474:
475: clean-sbinPROGRAMS:
476: -test -z "$(sbin_PROGRAMS)" || rm -f $(sbin_PROGRAMS)
1.1.1.2 ! misho 477:
! 478: mtr$(EXEEXT): $(mtr_OBJECTS) $(mtr_DEPENDENCIES) $(EXTRA_mtr_DEPENDENCIES)
1.1 misho 479: @rm -f mtr$(EXEEXT)
1.1.1.2 ! misho 480: $(AM_V_CCLD)$(mtr_LINK) $(mtr_OBJECTS) $(mtr_LDADD) $(LIBS)
1.1 misho 481:
482: mostlyclean-compile:
483: -rm -f *.$(OBJEXT)
484:
485: distclean-compile:
486: -rm -f *.tab.c
487:
488: include ./$(DEPDIR)/asn.Po
489: include ./$(DEPDIR)/curses.Po
490: include ./$(DEPDIR)/display.Po
491: include ./$(DEPDIR)/dns.Po
492: include ./$(DEPDIR)/getopt.Po
493: include ./$(DEPDIR)/getopt1.Po
494: include ./$(DEPDIR)/gtk.Po
495: include ./$(DEPDIR)/mtr.Po
496: include ./$(DEPDIR)/net.Po
497: include ./$(DEPDIR)/raw.Po
498: include ./$(DEPDIR)/report.Po
499: include ./$(DEPDIR)/select.Po
500: include ./$(DEPDIR)/split.Po
501:
502: .c.o:
1.1.1.2 ! misho 503: $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
! 504: $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 505: # $(AM_V_CC)source='$<' object='$@' libtool=no \
1.1 misho 506: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.2 ! misho 507: # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
1.1 misho 508:
509: .c.obj:
1.1.1.2 ! misho 510: $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
! 511: $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
! 512: # $(AM_V_CC)source='$<' object='$@' libtool=no \
1.1 misho 513: # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
1.1.1.2 ! misho 514: # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1.1 misho 515: install-man8: $(man_MANS)
516: @$(NORMAL_INSTALL)
1.1.1.2 ! misho 517: @list1=''; \
! 518: list2='$(man_MANS)'; \
! 519: test -n "$(man8dir)" \
! 520: && test -n "`echo $$list1$$list2`" \
! 521: || exit 0; \
! 522: echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
! 523: $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
! 524: { for i in $$list1; do echo "$$i"; done; \
! 525: if test -n "$$list2"; then \
! 526: for i in $$list2; do echo "$$i"; done \
! 527: | sed -n '/\.8[a-z]*$$/p'; \
! 528: fi; \
1.1 misho 529: } | while read p; do \
530: if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
531: echo "$$d$$p"; echo "$$p"; \
532: done | \
533: sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
534: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
535: sed 'N;N;s,\n, ,g' | { \
536: list=; while read file base inst; do \
537: if test "$$base" = "$$inst"; then list="$$list $$file"; else \
538: echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
539: $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
540: fi; \
541: done; \
542: for i in $$list; do echo "$$i"; done | $(am__base_list) | \
543: while read files; do \
544: test -z "$$files" || { \
545: echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
546: $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
547: done; }
548:
549: uninstall-man8:
550: @$(NORMAL_UNINSTALL)
551: @list=''; test -n "$(man8dir)" || exit 0; \
552: files=`{ for i in $$list; do echo "$$i"; done; \
553: l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
554: sed -n '/\.8[a-z]*$$/p'; \
555: } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
556: -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1.1.1.2 ! misho 557: dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
1.1 misho 558:
559: # This directory's subdirectories are mostly independent; you can cd
1.1.1.2 ! misho 560: # into them and run 'make' without going through this Makefile.
! 561: # To change the values of 'make' variables: instead of editing Makefiles,
! 562: # (1) if the variable is set in 'config.status', edit 'config.status'
! 563: # (which will cause the Makefiles to be regenerated when you run 'make');
! 564: # (2) otherwise, pass the desired values on the 'make' command line.
! 565: $(am__recursive_targets):
! 566: @fail=; \
! 567: if $(am__make_keepgoing); then \
! 568: failcom='fail=yes'; \
! 569: else \
! 570: failcom='exit 1'; \
! 571: fi; \
1.1 misho 572: dot_seen=no; \
573: target=`echo $@ | sed s/-recursive//`; \
1.1.1.2 ! misho 574: case "$@" in \
! 575: distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
! 576: *) list='$(SUBDIRS)' ;; \
! 577: esac; \
! 578: for subdir in $$list; do \
1.1 misho 579: echo "Making $$target in $$subdir"; \
580: if test "$$subdir" = "."; then \
581: dot_seen=yes; \
582: local_target="$$target-am"; \
583: else \
584: local_target="$$target"; \
585: fi; \
586: ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
587: || eval $$failcom; \
588: done; \
589: if test "$$dot_seen" = "no"; then \
590: $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
591: fi; test -z "$$fail"
592:
1.1.1.2 ! misho 593: ID: $(am__tagged_files)
! 594: $(am__define_uniq_tagged_files); mkid -fID $$unique
! 595: tags: tags-recursive
! 596: TAGS: tags
1.1 misho 597:
1.1.1.2 ! misho 598: tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1.1 misho 599: set x; \
600: here=`pwd`; \
601: if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
602: include_option=--etags-include; \
603: empty_fix=.; \
604: else \
605: include_option=--include; \
606: empty_fix=; \
607: fi; \
608: list='$(SUBDIRS)'; for subdir in $$list; do \
609: if test "$$subdir" = .; then :; else \
610: test ! -f $$subdir/TAGS || \
611: set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
612: fi; \
613: done; \
1.1.1.2 ! misho 614: $(am__define_uniq_tagged_files); \
1.1 misho 615: shift; \
616: if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
617: test -n "$$unique" || unique=$$empty_fix; \
618: if test $$# -gt 0; then \
619: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
620: "$$@" $$unique; \
621: else \
622: $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
623: $$unique; \
624: fi; \
625: fi
1.1.1.2 ! misho 626: ctags: ctags-recursive
! 627:
! 628: CTAGS: ctags
! 629: ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
! 630: $(am__define_uniq_tagged_files); \
1.1 misho 631: test -z "$(CTAGS_ARGS)$$unique" \
632: || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
633: $$unique
634:
635: GTAGS:
636: here=`$(am__cd) $(top_builddir) && pwd` \
637: && $(am__cd) $(top_srcdir) \
638: && gtags -i $(GTAGS_ARGS) "$$here"
1.1.1.2 ! misho 639: cscope: cscope.files
! 640: test ! -s cscope.files \
! 641: || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
! 642: clean-cscope:
! 643: -rm -f cscope.files
! 644: cscope.files: clean-cscope cscopelist
! 645: cscopelist: cscopelist-recursive
! 646:
! 647: cscopelist-am: $(am__tagged_files)
! 648: list='$(am__tagged_files)'; \
! 649: case "$(srcdir)" in \
! 650: [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
! 651: *) sdir=$(subdir)/$(srcdir) ;; \
! 652: esac; \
! 653: for i in $$list; do \
! 654: if test -f "$$i"; then \
! 655: echo "$(subdir)/$$i"; \
! 656: else \
! 657: echo "$$sdir/$$i"; \
! 658: fi; \
! 659: done >> $(top_builddir)/cscope.files
1.1 misho 660:
661: distclean-tags:
662: -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1.1.1.2 ! misho 663: -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
1.1 misho 664:
665: distdir: $(DISTFILES)
666: $(am__remove_distdir)
667: test -d "$(distdir)" || mkdir "$(distdir)"
668: @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
669: topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
670: list='$(DISTFILES)'; \
671: dist_files=`for file in $$list; do echo $$file; done | \
672: sed -e "s|^$$srcdirstrip/||;t" \
673: -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
674: case $$dist_files in \
675: */*) $(MKDIR_P) `echo "$$dist_files" | \
676: sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
677: sort -u` ;; \
678: esac; \
679: for file in $$dist_files; do \
680: if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
681: if test -d $$d/$$file; then \
682: dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
683: if test -d "$(distdir)/$$file"; then \
684: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
685: fi; \
686: if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
687: cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
688: find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
689: fi; \
690: cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
691: else \
692: test -f "$(distdir)/$$file" \
693: || cp -p $$d/$$file "$(distdir)/$$file" \
694: || exit 1; \
695: fi; \
696: done
697: @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
698: if test "$$subdir" = .; then :; else \
1.1.1.2 ! misho 699: $(am__make_dryrun) \
! 700: || test -d "$(distdir)/$$subdir" \
! 701: || $(MKDIR_P) "$(distdir)/$$subdir" \
! 702: || exit 1; \
1.1 misho 703: dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
704: $(am__relativize); \
705: new_distdir=$$reldir; \
706: dir1=$$subdir; dir2="$(top_distdir)"; \
707: $(am__relativize); \
708: new_top_distdir=$$reldir; \
709: echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
710: echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
711: ($(am__cd) $$subdir && \
712: $(MAKE) $(AM_MAKEFLAGS) \
713: top_distdir="$$new_top_distdir" \
714: distdir="$$new_distdir" \
715: am__remove_distdir=: \
716: am__skip_length_check=: \
717: am__skip_mode_fix=: \
718: distdir) \
719: || exit 1; \
720: fi; \
721: done
722: -test -n "$(am__skip_mode_fix)" \
723: || find "$(distdir)" -type d ! -perm -755 \
724: -exec chmod u+rwx,go+rx {} \; -o \
725: ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
726: ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
727: ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
728: || chmod -R a+r "$(distdir)"
729: dist-gzip: distdir
730: tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
1.1.1.2 ! misho 731: $(am__post_remove_distdir)
1.1 misho 732:
733: dist-bzip2: distdir
1.1.1.2 ! misho 734: tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
! 735: $(am__post_remove_distdir)
1.1 misho 736:
1.1.1.2 ! misho 737: dist-lzip: distdir
! 738: tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
! 739: $(am__post_remove_distdir)
1.1 misho 740:
741: dist-xz: distdir
1.1.1.2 ! misho 742: tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
! 743: $(am__post_remove_distdir)
1.1 misho 744:
745: dist-tarZ: distdir
1.1.1.2 ! misho 746: @echo WARNING: "Support for distribution archives compressed with" \
! 747: "legacy program 'compress' is deprecated." >&2
! 748: @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
1.1 misho 749: tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
1.1.1.2 ! misho 750: $(am__post_remove_distdir)
1.1 misho 751:
752: dist-shar: distdir
1.1.1.2 ! misho 753: @echo WARNING: "Support for shar distribution archives is" \
! 754: "deprecated." >&2
! 755: @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
1.1 misho 756: shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
1.1.1.2 ! misho 757: $(am__post_remove_distdir)
1.1 misho 758:
759: dist-zip: distdir
760: -rm -f $(distdir).zip
761: zip -rq $(distdir).zip $(distdir)
1.1.1.2 ! misho 762: $(am__post_remove_distdir)
1.1 misho 763:
1.1.1.2 ! misho 764: dist dist-all:
! 765: $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
! 766: $(am__post_remove_distdir)
1.1 misho 767:
768: # This target untars the dist file and tries a VPATH configuration. Then
769: # it guarantees that the distribution is self-contained by making another
770: # tarfile.
771: distcheck: dist
772: case '$(DIST_ARCHIVES)' in \
773: *.tar.gz*) \
774: GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
775: *.tar.bz2*) \
776: bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
1.1.1.2 ! misho 777: *.tar.lz*) \
! 778: lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
1.1 misho 779: *.tar.xz*) \
780: xz -dc $(distdir).tar.xz | $(am__untar) ;;\
781: *.tar.Z*) \
782: uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
783: *.shar.gz*) \
784: GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
785: *.zip*) \
786: unzip $(distdir).zip ;;\
787: esac
1.1.1.2 ! misho 788: chmod -R a-w $(distdir)
! 789: chmod u+w $(distdir)
! 790: mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
1.1 misho 791: chmod a-w $(distdir)
792: test -d $(distdir)/_build || exit 0; \
793: dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
794: && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
795: && am__cwd=`pwd` \
1.1.1.2 ! misho 796: && $(am__cd) $(distdir)/_build/sub \
! 797: && ../../configure \
! 798: $(AM_DISTCHECK_CONFIGURE_FLAGS) \
1.1 misho 799: $(DISTCHECK_CONFIGURE_FLAGS) \
1.1.1.2 ! misho 800: --srcdir=../.. --prefix="$$dc_install_base" \
1.1 misho 801: && $(MAKE) $(AM_MAKEFLAGS) \
802: && $(MAKE) $(AM_MAKEFLAGS) dvi \
803: && $(MAKE) $(AM_MAKEFLAGS) check \
804: && $(MAKE) $(AM_MAKEFLAGS) install \
805: && $(MAKE) $(AM_MAKEFLAGS) installcheck \
806: && $(MAKE) $(AM_MAKEFLAGS) uninstall \
807: && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
808: distuninstallcheck \
809: && chmod -R a-w "$$dc_install_base" \
810: && ({ \
811: (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
812: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
813: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
814: && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
815: distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
816: } || { rm -rf "$$dc_destdir"; exit 1; }) \
817: && rm -rf "$$dc_destdir" \
818: && $(MAKE) $(AM_MAKEFLAGS) dist \
819: && rm -rf $(DIST_ARCHIVES) \
820: && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
821: && cd "$$am__cwd" \
822: || exit 1
1.1.1.2 ! misho 823: $(am__post_remove_distdir)
1.1 misho 824: @(echo "$(distdir) archives ready for distribution: "; \
825: list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
826: sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
827: distuninstallcheck:
1.1.1.2 ! misho 828: @test -n '$(distuninstallcheck_dir)' || { \
! 829: echo 'ERROR: trying to run $@ with an empty' \
! 830: '$$(distuninstallcheck_dir)' >&2; \
! 831: exit 1; \
! 832: }; \
! 833: $(am__cd) '$(distuninstallcheck_dir)' || { \
! 834: echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
! 835: exit 1; \
! 836: }; \
! 837: test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
1.1 misho 838: || { echo "ERROR: files left after uninstall:" ; \
839: if test -n "$(DESTDIR)"; then \
840: echo " (check DESTDIR support)"; \
841: fi ; \
842: $(distuninstallcheck_listfiles) ; \
843: exit 1; } >&2
844: distcleancheck: distclean
845: @if test '$(srcdir)' = . ; then \
846: echo "ERROR: distcleancheck can only run from a VPATH build" ; \
847: exit 1 ; \
848: fi
849: @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
850: || { echo "ERROR: files left in build directory after distclean:" ; \
851: $(distcleancheck_listfiles) ; \
852: exit 1; } >&2
853: check-am: all-am
854: check: $(BUILT_SOURCES)
855: $(MAKE) $(AM_MAKEFLAGS) check-recursive
856: all-am: Makefile $(PROGRAMS) $(MANS) config.h
857: installdirs: installdirs-recursive
858: installdirs-am:
859: for dir in "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(man8dir)"; do \
860: test -z "$$dir" || $(MKDIR_P) "$$dir"; \
861: done
862: install: $(BUILT_SOURCES)
863: $(MAKE) $(AM_MAKEFLAGS) install-recursive
864: install-exec: install-exec-recursive
865: install-data: install-data-recursive
866: uninstall: uninstall-recursive
867:
868: install-am: all-am
869: @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
870:
871: installcheck: installcheck-recursive
872: install-strip:
1.1.1.2 ! misho 873: if test -z '$(STRIP)'; then \
! 874: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
! 875: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
! 876: install; \
! 877: else \
! 878: $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
! 879: install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
! 880: "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
! 881: fi
1.1 misho 882: mostlyclean-generic:
883:
884: clean-generic:
885: -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
886:
887: distclean-generic:
888: -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
889: -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
890: -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
891:
892: maintainer-clean-generic:
893: @echo "This command is intended for maintainers to use"
894: @echo "it deletes files that may require special tools to rebuild."
895: -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
896: clean: clean-recursive
897:
898: clean-am: clean-generic clean-sbinPROGRAMS mostlyclean-am
899:
900: distclean: distclean-recursive
901: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
902: -rm -rf ./$(DEPDIR)
903: -rm -f Makefile
904: distclean-am: clean-am distclean-compile distclean-generic \
905: distclean-hdr distclean-local distclean-tags
906:
907: dvi: dvi-recursive
908:
909: dvi-am:
910:
911: html: html-recursive
912:
913: html-am:
914:
915: info: info-recursive
916:
917: info-am:
918:
919: install-data-am: install-man
920:
921: install-dvi: install-dvi-recursive
922:
923: install-dvi-am:
924:
925: install-exec-am: install-sbinPROGRAMS
926: @$(NORMAL_INSTALL)
927: $(MAKE) $(AM_MAKEFLAGS) install-exec-hook
928: install-html: install-html-recursive
929:
930: install-html-am:
931:
932: install-info: install-info-recursive
933:
934: install-info-am:
935:
936: install-man: install-man8
937:
938: install-pdf: install-pdf-recursive
939:
940: install-pdf-am:
941:
942: install-ps: install-ps-recursive
943:
944: install-ps-am:
945:
946: installcheck-am:
947:
948: maintainer-clean: maintainer-clean-recursive
949: -rm -f $(am__CONFIG_DISTCLEAN_FILES)
950: -rm -rf $(top_srcdir)/autom4te.cache
951: -rm -rf ./$(DEPDIR)
952: -rm -f Makefile
953: maintainer-clean-am: distclean-am maintainer-clean-generic
954:
955: mostlyclean: mostlyclean-recursive
956:
957: mostlyclean-am: mostlyclean-compile mostlyclean-generic
958:
959: pdf: pdf-recursive
960:
961: pdf-am:
962:
963: ps: ps-recursive
964:
965: ps-am:
966:
967: uninstall-am: uninstall-man uninstall-sbinPROGRAMS
968:
969: uninstall-man: uninstall-man8
970:
1.1.1.2 ! misho 971: .MAKE: $(am__recursive_targets) all check install install-am \
! 972: install-exec-am install-strip
! 973:
! 974: .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
! 975: am--refresh check check-am clean clean-cscope clean-generic \
! 976: clean-sbinPROGRAMS cscope cscopelist-am ctags ctags-am dist \
! 977: dist-all dist-bzip2 dist-gzip dist-lzip dist-shar dist-tarZ \
! 978: dist-xz dist-zip distcheck distclean distclean-compile \
1.1 misho 979: distclean-generic distclean-hdr distclean-local distclean-tags \
980: distcleancheck distdir distuninstallcheck dvi dvi-am html \
981: html-am info info-am install install-am install-data \
982: install-data-am install-dvi install-dvi-am install-exec \
983: install-exec-am install-exec-hook install-html install-html-am \
984: install-info install-info-am install-man install-man8 \
985: install-pdf install-pdf-am install-ps install-ps-am \
986: install-sbinPROGRAMS install-strip installcheck \
987: installcheck-am installdirs installdirs-am maintainer-clean \
988: maintainer-clean-generic mostlyclean mostlyclean-compile \
1.1.1.2 ! misho 989: mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
! 990: uninstall-am uninstall-man uninstall-man8 \
1.1 misho 991: uninstall-sbinPROGRAMS
1.1.1.2 ! misho 992:
! 993: .PRECIOUS: Makefile
1.1 misho 994:
995: install-exec-hook:
996: chmod u+s $(DESTDIR)$(sbindir)/mtr
997:
998: version.h: version.h.tmp Makefile $(mtr_SOURCES)
999: @cat version.h.tmp > $@; \
1000: if [ -d .git ] && [ -n "$$(which git)" ]; then \
1001: xver="+git:$$(git rev-list -n1 --abbrev=8 --abbrev-commit HEAD)"; \
1002: sed \
1003: -e "/#define *MTR_VERSION */{s/\"\([^\"]*\)\"/\"\1$$xver\"/;}" \
1004: version.h.tmp > $@; \
1005: fi;
1006: distclean-local:
1007: (sleep 3; cp Makefile.dist Makefile) &
1008: rm -f *.orig
1009:
1010: # Tell versions [3.59,3.63) of GNU make to not export all variables.
1011: # Otherwise a system limit (for SysV at least) may be exceeded.
1012: .NOEXPORT:
FreeBSD-CVSweb <freebsd-cvsweb@FreeBSD.org>